zenilib: zenilib/jni/external/openal-soft/OpenAL32/alState.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
alState.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include "alMain.h"`
`#include "AL/alc.h"`
`#include "AL/alext.h"`
`#include "alError.h"`
`#include "alSource.h"`
`#include "alAuxEffectSlot.h"`

Go to the source code of this file.

## Functions

AL_API ALvoid AL_APIENTRY | alDeferUpdatesSOFT (void)
AL_API ALvoid AL_APIENTRY | alDisable (ALenum capability)
AL_API ALvoid AL_APIENTRY | alDistanceModel (ALenum value)
AL_API ALvoid AL_APIENTRY | alDopplerFactor (ALfloat value)
AL_API ALvoid AL_APIENTRY | alDopplerVelocity (ALfloat value)
AL_API ALvoid AL_APIENTRY | alEnable (ALenum capability)
AL_API ALboolean AL_APIENTRY | alGetBoolean (ALenum pname)
AL_API ALvoid AL_APIENTRY | alGetBooleanv (ALenum pname, ALboolean *values)
AL_API ALdouble AL_APIENTRY | alGetDouble (ALenum pname)
AL_API ALvoid AL_APIENTRY | alGetDoublev (ALenum pname, ALdouble *values)
AL_API ALfloat AL_APIENTRY | alGetFloat (ALenum pname)
AL_API ALvoid AL_APIENTRY | alGetFloatv (ALenum pname, ALfloat *values)
AL_API ALint AL_APIENTRY | alGetInteger (ALenum pname)
AL_API ALvoid AL_APIENTRY | alGetIntegerv (ALenum pname, ALint *values)
AL_API const ALchar *AL_APIENTRY | alGetString (ALenum pname)
AL_API ALboolean AL_APIENTRY | alIsEnabled (ALenum capability)
AL_API ALvoid AL_APIENTRY | alProcessUpdatesSOFT (void)
AL_API ALvoid AL_APIENTRY | alSpeedOfSound (ALfloat value)

## Variables

static const ALchar | alErrInvalidEnum [] = "Invalid Enum"
static const ALchar | alErrInvalidName [] = "Invalid Name"
static const ALchar | alErrInvalidOp [] = "Invalid Operation"
static const ALchar | alErrInvalidValue [] = "Invalid Value"
static const ALchar | alErrOutOfMemory [] = "Out of Memory"
static const ALchar | alNoError [] = "No Error"
static const ALchar | alRenderer [] = "OpenAL Soft"
static const ALchar | alVendor [] = "OpenAL Community"
static const ALchar | alVersion [] = "1.1 ALSOFT "ALSOFT_VERSION

## Function Documentation

AL_API ALvoid AL_APIENTRY alDeferUpdatesSOFT | ( | void |  | ) |

Definition at line 588 of file alState.c.

References ALCcontext_struct::ActiveEffectSlotCount, ALCcontext_struct::ActiveEffectSlots, ALCcontext_struct::ActiveSourceCount, ALCcontext_struct::ActiveSources, AL_FALSE, AL_PLAYING, AL_TRUE, ALCcontext_DecRef(), ALeffectState_Update, ALsource_Update, ALCcontext_struct::DeferUpdates, ALCcontext_struct::Device, GetContextRef(), LockContext(), RestoreFPUMode(), SetMixerFPUMode(), UnlockContext(), and ALCcontext_struct::UpdateSources.

AL_API ALvoid AL_APIENTRY alDisable | ( | ALenum | capability | ) |

Definition at line 69 of file alState.c.

References al_endtry, AL_FALSE, AL_INVALID_ENUM, AL_SOURCE_DISTANCE_MODEL, al_throwerr, AL_TRUE, al_try, ALCcontext_DecRef(), GetContextRef(), ALCcontext_struct::SourceDistanceModel, and ALCcontext_struct::UpdateSources.

AL_API ALvoid AL_APIENTRY alDistanceModel | ( | ALenum | value | ) |

Definition at line 561 of file alState.c.

References al_endtry, AL_EXPONENT_DISTANCE, AL_EXPONENT_DISTANCE_CLAMPED, AL_INVERSE_DISTANCE, AL_INVERSE_DISTANCE_CLAMPED, AL_LINEAR_DISTANCE, AL_LINEAR_DISTANCE_CLAMPED, AL_NONE, AL_TRUE, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::DistanceModel, GetContextRef(), ALCcontext_struct::SourceDistanceModel, and ALCcontext_struct::UpdateSources.

AL_API ALvoid AL_APIENTRY alDopplerFactor | ( | ALfloat | value | ) |

Definition at line 504 of file alState.c.

References al_endtry, AL_TRUE, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::DopplerFactor, GetContextRef(), and ALCcontext_struct::UpdateSources.

AL_API ALvoid AL_APIENTRY alDopplerVelocity | ( | ALfloat | value | ) |

Definition at line 523 of file alState.c.

References al_endtry, AL_TRUE, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::DopplerVelocity, GetContextRef(), and ALCcontext_struct::UpdateSources.

AL_API ALvoid AL_APIENTRY alEnable | ( | ALenum | capability | ) |

Renderer State management.

Definition at line 44 of file alState.c.

References al_endtry, AL_INVALID_ENUM, AL_SOURCE_DISTANCE_MODEL, al_throwerr, AL_TRUE, al_try, ALCcontext_DecRef(), GetContextRef(), ALCcontext_struct::SourceDistanceModel, and ALCcontext_struct::UpdateSources.

AL_API ALboolean AL_APIENTRY alGetBoolean | ( | ALenum | pname | ) |

Definition at line 121 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_FALSE, AL_INVALID_ENUM, AL_INVERSE_DISTANCE_CLAMPED, AL_SPEED_OF_SOUND, al_throwerr, AL_TRUE, al_try, ALCcontext_DecRef(), ALCcontext_struct::DeferUpdates, ALCcontext_struct::DistanceModel, ALCcontext_struct::DopplerFactor, ALCcontext_struct::DopplerVelocity, GetContextRef(), and ALCcontext_struct::SpeedOfSound.

Referenced by alGetBooleanv().

AL_API ALvoid AL_APIENTRY alGetBooleanv | ( | ALenum | pname,
|  | ALboolean * | values
| ) |  |

Definition at line 297 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_INVALID_ENUM, AL_SPEED_OF_SOUND, al_throwerr, al_try, ALCcontext_DecRef(), alGetBoolean(), CHECK_VALUE, and GetContextRef().

AL_API ALdouble AL_APIENTRY alGetDouble | ( | ALenum | pname | ) |

Definition at line 168 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_INVALID_ENUM, AL_SPEED_OF_SOUND, al_throwerr, al_try, ALCcontext_DecRef(), ALCcontext_struct::DeferUpdates, ALCcontext_struct::DistanceModel, ALCcontext_struct::DopplerFactor, ALCcontext_struct::DopplerVelocity, GetContextRef(), and ALCcontext_struct::SpeedOfSound.

Referenced by alGetDoublev().

AL_API ALvoid AL_APIENTRY alGetDoublev | ( | ALenum | pname,
|  | ALdouble * | values
| ) |  |

Definition at line 332 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_INVALID_ENUM, AL_SPEED_OF_SOUND, al_throwerr, al_try, ALCcontext_DecRef(), alGetDouble(), CHECK_VALUE, and GetContextRef().

AL_API ALfloat AL_APIENTRY alGetFloat | ( | ALenum | pname | ) |

Definition at line 211 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_INVALID_ENUM, AL_SPEED_OF_SOUND, al_throwerr, al_try, ALCcontext_DecRef(), ALCcontext_struct::DeferUpdates, ALCcontext_struct::DistanceModel, ALCcontext_struct::DopplerFactor, ALCcontext_struct::DopplerVelocity, GetContextRef(), and ALCcontext_struct::SpeedOfSound.

Referenced by alGetFloatv().

AL_API ALvoid AL_APIENTRY alGetFloatv | ( | ALenum | pname,
|  | ALfloat * | values
| ) |  |

Definition at line 367 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_INVALID_ENUM, AL_SPEED_OF_SOUND, al_throwerr, al_try, ALCcontext_DecRef(), alGetFloat(), CHECK_VALUE, and GetContextRef().

AL_API ALint AL_APIENTRY alGetInteger | ( | ALenum | pname | ) |

Definition at line 254 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_INVALID_ENUM, AL_SPEED_OF_SOUND, al_throwerr, al_try, ALCcontext_DecRef(), ALCcontext_struct::DeferUpdates, ALCcontext_struct::DistanceModel, ALCcontext_struct::DopplerFactor, ALCcontext_struct::DopplerVelocity, GetContextRef(), and ALCcontext_struct::SpeedOfSound.

Referenced by alGetIntegerv().

AL_API ALvoid AL_APIENTRY alGetIntegerv | ( | ALenum | pname,
|  | ALint * | values
| ) |  |

Definition at line 402 of file alState.c.

References AL_DEFERRED_UPDATES_SOFT, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_DOPPLER_VELOCITY, al_endtry, AL_INVALID_ENUM, AL_SPEED_OF_SOUND, al_throwerr, al_try, ALCcontext_DecRef(), alGetInteger(), CHECK_VALUE, and GetContextRef().

AL_API const ALchar* AL_APIENTRY alGetString | ( | ALenum | param | ) |

State retrieval.

Definition at line 437 of file alState.c.

References al_catchany, al_endtry, AL_EXTENSIONS, AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_OPERATION, AL_INVALID_VALUE, AL_NO_ERROR, AL_OUT_OF_MEMORY, AL_RENDERER, al_throwerr, al_try, AL_VENDOR, AL_VERSION, ALCcontext_DecRef(), alErrInvalidEnum, alErrInvalidName, alErrInvalidOp, alErrInvalidValue, alErrOutOfMemory, alNoError, alRenderer, alVendor, alVersion, ALCcontext_struct::ExtensionList, GetContextRef(), and NULL.

Referenced by checkALErrors(), LoadEffect(), LoadSound(), and printALInfo().

AL_API ALboolean AL_APIENTRY alIsEnabled | ( | ALenum | capability | ) |

Definition at line 94 of file alState.c.

References al_endtry, AL_FALSE, AL_INVALID_ENUM, AL_SOURCE_DISTANCE_MODEL, al_throwerr, al_try, ALCcontext_DecRef(), GetContextRef(), and ALCcontext_struct::SourceDistanceModel.

AL_API ALvoid AL_APIENTRY alProcessUpdatesSOFT | ( | void |  | ) |

Definition at line 643 of file alState.c.

References AL_FALSE, AL_NONE, AL_PAUSED, AL_PLAYING, ALCcontext_DecRef(), ApplyOffset(), UIntMap::array, ALCcontext_struct::DeferUpdates, GetContextRef(), LockContext(), LockUIntMapRead(), ALsource::new_state, ALsource::Offset, SetSourceState(), UIntMap::size, ALCcontext_struct::SourceMap, ALsource::state, UnlockContext(), UnlockUIntMapRead(), and UIntMap::value.

AL_API ALvoid AL_APIENTRY alSpeedOfSound | ( | ALfloat | value | ) |

Definition at line 542 of file alState.c.

References al_endtry, AL_TRUE, al_try, ALCcontext_DecRef(), CHECK_VALUE, GetContextRef(), ALCcontext_struct::SpeedOfSound, and ALCcontext_struct::UpdateSources.

## Variable Documentation

const ALchar alErrInvalidEnum[] = "Invalid Enum"

static

Definition at line 39 of file alState.c.

Referenced by alGetString().

const ALchar alErrInvalidName[] = "Invalid Name"

static

Definition at line 38 of file alState.c.

Referenced by alGetString().

const ALchar alErrInvalidOp[] = "Invalid Operation"

static

Definition at line 41 of file alState.c.

Referenced by alGetString().

const ALchar alErrInvalidValue[] = "Invalid Value"

static

Definition at line 40 of file alState.c.

Referenced by alGetString().

const ALchar alErrOutOfMemory[] = "Out of Memory"

static

Definition at line 42 of file alState.c.

Referenced by alGetString().

const ALchar alNoError[] = "No Error"

static

Definition at line 37 of file alState.c.

Referenced by alGetString().

const ALchar alRenderer[] = "OpenAL Soft"

static

Definition at line 34 of file alState.c.

Referenced by alGetString().

const ALchar alVendor[] = "OpenAL Community"

static

OpenAL cross platform audio library Copyright (C) 1999-2000 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 32 of file alState.c.

Referenced by alGetString().

const ALchar alVersion[] = "1.1 ALSOFT "ALSOFT_VERSION

static

Definition at line 33 of file alState.c.

Referenced by alGetString().